#ifndef _Q_H
#define _Q_H

struct queue;

typedef struct qnode {
   struct qnode *next;
} qnode;


typedef struct queue {
   struct qnode *head;
   struct qnode *tail;
   int 	 nelem;
} queue;


void  				qInit( queue *q );

void 					qInsertHead(queue* list,qnode* node);

void 					qInsertTail(queue* list,qnode* node);

void 					qInsertAfter(queue* list,qnode* anode,qnode* node);

qnode*				qRemoveHead(queue* list);

qnode* 				qRemoveAfter(queue* list,qnode* anode);

qnode*				qSelRemove(queue* list,qnode* node);

void					qPurge(queue* q);

#define 				qNotEmpty(list) ((list)->nelem!=0)

#define 				qSize(list) 		((list)->nelem)

#define 				qPeekHead(list) ((list)->head)

#define 				qPeekTail(list) ((list)->tail)



#endif

