#ifndef _SECURITY_H
#define _SECURITY_H


/////////////////////////////////////////////////////////////////////////////
// Validate certificate file
//
// Input:
//      filename         - The filename of the certificate to validate.
//
// Output:
//      None.
//
// Returns:
//      0                - Not a valid certificatey.
//      1                - Certificate is valid.
//
/////////////////////////////////////////////////////////////////////////////
unsigned short ValidateCertificate(const char* filename);

/////////////////////////////////////////////////////////////////////////////
// Validate certificate file
//
// Input:
//      cert             - The filename of the certificate to validate.
//      key              - The filename of the private key to validate.
//      pass             - The password of the private key.
//
// Output:
//      None.
//
// Returns:
//      0                - Not a valid certificatey.
//      1                - Certificate is valid.
//
/////////////////////////////////////////////////////////////////////////////
unsigned short ValidateClient(const char* cert, const char* key, const char* pass);


#endif

